Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface VersionableApplicationProvider

All Superinterfaces:
  SecurityProvider

    public interface VersionableApplicationProvider

extends SecurityProvider

All authorization, role mapping, and credential mapping providers for the security realm must support application versioning for an application to be deployed using versions. For a security provider to support application versioning, it must implement this interface.

This interface enables all security providers that support application versioning to be notified when versions are created and deleted. It also enables all security providers that support application versioning to be notified when non-versioned applications are removed.

Method Summary
`void` | `createApplicationVersion(String appIdentifier, String sourceAppIdentifier)` Marks the creation of a new application version and is only called on one server within a WebLogic Server domain at the time the version is created.
`void` | `deleteApplication(String appName)` Marks the deletion of a non-versioned application and is only called on one server within a WebLogic Server domain at the time the application is deleted.
`void` | `deleteApplicationVersion(String appIdentifier)` Marks the deletion of an application version and is only called on one server within a WebLogic Server domain at the time the version is deleted.

Methods inherited from interface weblogic.security.spi.SecurityProvider
`getDescription, initialize, shutdown`

Method Detail

### createApplicationVersion

    void createApplicationVersion(String appIdentifier,
                                  String sourceAppIdentifier)
                                  throws ApplicationVersionCreationException

  Marks the creation of a new application version and is only called on one server within a WebLogic Server domain at the time the version is created.

  Parameters:
    `appIdentifier` - the application identifier of the newly created application version
    `sourceAppIdentifier` - the application identifier of the version containing the source (or seed) data for the new application version. When no source identifier is supplied then this is the first version of the application.
  Throws:
    `ApplicationVersionCreationException` - if an unexpected error occurs while creating the new application version data

### deleteApplicationVersion

    void deleteApplicationVersion(String appIdentifier)
                                  throws ApplicationVersionRemovalException

  Marks the deletion of an application version and is only called on one server within a WebLogic Server domain at the time the version is deleted.

  Parameters:
    `appIdentifier` - the application identifier of the deleted application version
  Throws:
    `ApplicationVersionRemovalException` - if an unexpected error occurs while deleting the application version data

### deleteApplication

    void deleteApplication(String appName)
                           throws ApplicationRemovalException

  Marks the deletion of a non-versioned application and is only called on one server within a WebLogic Server domain at the time the application is deleted.

  Parameters:
    `appName` - the application name of the deleted application
  Throws:
    `ApplicationRemovalException` - if an unexpected error occurs while deleting the application data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD